{{page-title (capitalize (t "all teams"))}}

<Manage::Container>
  <:content>
    <Manage::Header @title={{capitalize (t "all teams")}}>
      <Filters::Bar>
        <Filters::Search @class="ms-auto" @value={{this._search}} @hasSuggestions={{this.searchStorage.history.length}} @onSearch={{this.performSearch}}>
          {{#if this.searchStorage.history.length}}
            <Filters::OptionList @title={{t "recent searches"}} @onSelect={{this.performSearch}} @values={{this.searchStorage.history}} />
          {{/if}}
        </Filters::Search>
      </Filters::Bar>
    </Manage::Header>

    <div class="row mt-3">
      <div class="col team-buckets">
        <Manage::List
          @isEditable={{true}}
          @viewMode="list"
          @columns={{@model.teams.buckets}}
          @header={{concat (t "name") "," (t "about") "," (t "is public") "," (t "owners") "," (t "leaders") "," (t "members") "," (t "guests")}}
          @onDelete={{this.delete}}
          as |section|
        >
          {{#if section.isHeader}}
            <LinkTo @route="manage.dashboards.index" @model={{section.item.id}} class="text-decoration-none font-weight-bold text-dark p-0 ms-0 ps-0">
              {{section.item.name}}
            </LinkTo>
          {{/if}}

          {{#if section.isOtherOptions}}
            <LinkTo @route="manage.teams.edit" @model={{section.item.id}} class="dropdown-item">
              <FaIcon @icon="pencil-alt" />
              {{capitalize (t "edit-label")}}
            </LinkTo>
          {{/if}}

          {{#if section.isBody}}
            {{#if section.item.about}}
              <Article::FirstParagraph @contentBlocks={{section.item.contentBlocks}} />
            {{else}}
              <p>{{capitalize (t "there is no description")}}</p>
            {{/if}}
          {{/if}}

          {{#if section.isRow}}
            <th scope="row">
              <LinkTo @route="manage.dashboards.dashboard" @model={{section.item.id}} class="text-decoration-none font-weight-bold text-dark p-0 ms-0 ps-0">
                {{section.item.name}}
              </LinkTo>
            </th>
            <td>
              <Article::FirstParagraph @contentBlocks={{section.item.contentBlocks}} />
            </td>
            <td>{{section.item.isPublic}}</td>
            <td>{{section.item.owners.length}}</td>
            <td>{{section.item.leaders.length}}</td>
            <td>{{section.item.members.length}}</td>
            <td>{{section.item.guests.length}}</td>
          {{/if}}
        </Manage::List>
      </div>
    </div>

    <LazyListLoadMore @lazyList={{@model.teams}} class="mb-5" />
  </:content>
</Manage::Container>